com.corticon.rulesemf.ast

## Interface AdditiveSubExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface AdditiveSubExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Additive Sub Expression'.

  The following features are supported:

  - `Multiplicative Expression`
  - `Additive Operator`
  See Also:
    `AstPackage.getAdditiveSubExpression()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdditiveOperator` | `getAdditiveOperator()` Returns the value of the 'Additive Operator' containment reference
    `MultiplicativeExpression` | `getMultiplicativeExpression()` Returns the value of the 'Multiplicative Expression' containment reference
    `void` | `setAdditiveOperator(AdditiveOperator value)` Sets the value of the '`Additive Operator`' containment reference
    `void` | `setMultiplicativeExpression(MultiplicativeExpression value)` Sets the value of the '`Multiplicative Expression`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMultiplicativeExpression

          MultiplicativeExpression getMultiplicativeExpression()

      Returns the value of the 'Multiplicative Expression' containment reference.

      If the meaning of the 'Multiplicative Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Multiplicative Expression' containment reference.
      See Also:
        `setMultiplicativeExpression(MultiplicativeExpression)`, `AstPackage.getAdditiveSubExpression_MultiplicativeExpression()`

    - #### setMultiplicativeExpression

          void setMultiplicativeExpression(MultiplicativeExpression value)

      Sets the value of the '`Multiplicative Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Multiplicative Expression' containment reference.
      See Also:
        `getMultiplicativeExpression()`

    - #### getAdditiveOperator

          AdditiveOperator getAdditiveOperator()

      Returns the value of the 'Additive Operator' containment reference.

      If the meaning of the 'Additive Operator' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Additive Operator' containment reference.
      See Also:
        `setAdditiveOperator(AdditiveOperator)`, `AstPackage.getAdditiveSubExpression_AdditiveOperator()`

    - #### setAdditiveOperator

          void setAdditiveOperator(AdditiveOperator value)

      Sets the value of the '`Additive Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Additive Operator' containment reference.
      See Also:
        `getAdditiveOperator()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.